{{/*
  /news/ ページに対する定義．
  各ページの front matter に記述されている date の新しいものから一覧を表示する．
  表示ページの最大数は config.toml 中の paginate 変数で定義する．
  trouble-now, trouble, maintenance, info などのタグが付いていれば表示する．
*/}}

{{ define "main" }}
  <!-- 本文 -->
  {{ .Content }}
  <!-- ページ一覧 -->
  {{- $p := union .Pages .Sections }}
  {{- $pg := .Paginate ($p.ByDate.Reverse) }}
  <ul>
  {{- range $pg.Pages }}
    <li>
      <span class="date">{{- .Date.Format "2006-01-02" -}}</span>
      {{- if in .Params.tags "trouble-now" }}
        <span class="trouble-now">障害連絡</span>
      {{- else if in .Params.tags "trouble" }}
        <span class="trouble">障害連絡</span>
      {{- else if in .Params.tags "maintenance" }}
        <span class="maintenance">メンテナンス</span>
      {{- else if in .Params.tags "info" }}
        <span class="info">お知らせ</span>
      {{- end }}
      <a href="{{ .RelPermalink }}">{{ .Title }}</a>
    </li>
  {{- end }}
  </ul>
  {{- template "_internal/pagination.html" . }}
  {{/* - partial "paginator.html" . */}}
{{ end }}
